{
  "type": "minecraft:chest",
  "pools": [
    {
      "rolls": {
        "min": 1,
        "max": 3,
        "type": "minecraft:uniform"
      },
      "entries": [
        {
          "type": "minecraft:loot_table",
          "weight": 24,
          "name": "minecraft:shared_loot_table2"
        },
        {
          "type": "minecraft:loot_table",
          "weight": 70,
          "quality": -1,
          "name": "minecraft:shared_loot_empty"
        },
        {
          "type": "minecraft:loot_table",
          "weight": 6,
          "quality": 1,
          "name": "minecraft:shared_loot_table"
        }
      ]
    },
    {
      "rolls": {
        "min": 2,
        "max": 6,
        "type": "minecraft:uniform"
      },
      "entries": [
        {
          "type": "minecraft:item",
          "weight": 5,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 2,
                "max": 7,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:diamond"
        },
        {
          "type": "minecraft:item",
          "weight": 10,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 4,
                "max": 8,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:iron_ingot"
        },
        {
          "type": "minecraft:item",
          "weight": 15,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 2,
                "max": 7,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:gold_ingot"
        },
        {
          "type": "minecraft:item",
          "weight": 2,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 2,
                "max": 6,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:emerald"
        },
        {
          "type": "minecraft:item",
          "weight": 0,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1,
                "max": 10,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:beetroot_seeds"
        },
        {
          "type": "minecraft:item",
          "weight": 3,
          "name": "minecraft:saddle"
        },
        {
          "type": "minecraft:item",
          "weight": 1,
          "name": "minecraft:elytra"
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:iron_horse_armor"
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:golden_horse_armor"
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:diamond_horse_armor"
        },
        {
          "type": "minecraft:item",
          "weight": 3,
          "functions": [
            {
              "function": "minecraft:enchant_with_levels",
              "levels": {
                "min": 20,
                "max": 39,
                "type": "minecraft:uniform"
              },
              "treasure": true
            }
          ],
          "name": "minecraft:diamond_sword"
        },
        {
          "type": "minecraft:item",
          "weight": 3,
          "functions": [
            {
              "function": "minecraft:enchant_with_levels",
              "levels": {
                "min": 20,
                "max": 39,
                "type": "minecraft:uniform"
              },
              "treasure": true
            }
          ],
          "name": "minecraft:diamond_boots"
        },
        {
          "type": "minecraft:item",
          "weight": 3,
          "functions": [
            {
              "function": "minecraft:enchant_with_levels",
              "levels": {
                "min": 20,
                "max": 39,
                "type": "minecraft:uniform"
              },
              "treasure": true
            }
          ],
          "name": "minecraft:diamond_chestplate"
        },
        {
          "type": "minecraft:item",
          "weight": 3,
          "functions": [
            {
              "function": "minecraft:enchant_with_levels",
              "levels": {
                "min": 20,
                "max": 39,
                "type": "minecraft:uniform"
              },
              "treasure": true
            }
          ],
          "name": "minecraft:diamond_leggings"
        },
        {
          "type": "minecraft:item",
          "weight": 3,
          "functions": [
            {
              "function": "minecraft:enchant_with_levels",
              "levels": {
                "min": 20,
                "max": 39,
                "type": "minecraft:uniform"
              },
              "treasure": true
            }
          ],
          "name": "minecraft:diamond_helmet"
        },
        {
          "type": "minecraft:item",
          "weight": 3,
          "functions": [
            {
              "function": "minecraft:enchant_with_levels",
              "levels": {
                "min": 20,
                "max": 39,
                "type": "minecraft:uniform"
              },
              "treasure": true
            }
          ],
          "name": "minecraft:diamond_pickaxe"
        },
        {
          "type": "minecraft:item",
          "weight": 3,
          "functions": [
            {
              "function": "minecraft:enchant_with_levels",
              "levels": {
                "min": 20,
                "max": 39,
                "type": "minecraft:uniform"
              },
              "treasure": true
            }
          ],
          "name": "minecraft:diamond_shovel"
        },
        {
          "type": "minecraft:item",
          "weight": 3,
          "functions": [
            {
              "function": "minecraft:enchant_with_levels",
              "levels": {
                "min": 20,
                "max": 39,
                "type": "minecraft:uniform"
              },
              "treasure": true
            }
          ],
          "name": "minecraft:iron_sword"
        },
        {
          "type": "minecraft:item",
          "weight": 3,
          "functions": [
            {
              "function": "minecraft:enchant_with_levels",
              "levels": {
                "min": 20,
                "max": 39,
                "type": "minecraft:uniform"
              },
              "treasure": true
            }
          ],
          "name": "minecraft:iron_boots"
        },
        {
          "type": "minecraft:item",
          "weight": 3,
          "functions": [
            {
              "function": "minecraft:enchant_with_levels",
              "levels": {
                "min": 20,
                "max": 39,
                "type": "minecraft:uniform"
              },
              "treasure": true
            }
          ],
          "name": "minecraft:iron_chestplate"
        },
        {
          "type": "minecraft:item",
          "weight": 3,
          "functions": [
            {
              "function": "minecraft:enchant_with_levels",
              "levels": {
                "min": 20,
                "max": 39,
                "type": "minecraft:uniform"
              },
              "treasure": true
            }
          ],
          "name": "minecraft:iron_leggings"
        },
        {
          "type": "minecraft:item",
          "weight": 3,
          "functions": [
            {
              "function": "minecraft:enchant_with_levels",
              "levels": {
                "min": 20,
                "max": 39,
                "type": "minecraft:uniform"
              },
              "treasure": true
            }
          ],
          "name": "minecraft:iron_helmet"
        },
        {
          "type": "minecraft:item",
          "weight": 3,
          "functions": [
            {
              "function": "minecraft:enchant_with_levels",
              "levels": {
                "min": 20,
                "max": 39,
                "type": "minecraft:uniform"
              },
              "treasure": true
            }
          ],
          "name": "minecraft:iron_pickaxe"
        },
        {
          "type": "minecraft:item",
          "weight": 3,
          "functions": [
            {
              "function": "minecraft:enchant_with_levels",
              "levels": {
                "min": 20,
                "max": 39,
                "type": "minecraft:uniform"
              },
              "treasure": true
            }
          ],
          "name": "minecraft:iron_shovel"
        }
      ]
    }
  ]
}
